Permalink
Browse files

Update dependencies

  • Loading branch information...
1 parent e6beaf4 commit 5ff5e618fba7486d80a14fee4777e0045b062640 @aslakhellesoy aslakhellesoy committed Mar 4, 2014
Showing with 13 additions and 18 deletions.
  1. +13 −18 pom.xml
View
@@ -21,30 +21,30 @@
<groovy.version>2.1.7</groovy.version>
<picocontainer.version>2.14.3</picocontainer.version>
<!-- Keep in sync with scala/pom.xml and scala/scala_previous/pom.xml if minor versions are bumped. -->
- <scala.current.version>2.10.2</scala.current.version>
+ <scala.current.version>2.10.3</scala.current.version>
<scala.previous.version>2.9.3</scala.previous.version>
<!-- There is 3.1.3, but it requires at least mvn 3.0.4 which might still not be widely used. -->
- <scala-maven-plugin.version>3.1.0</scala-maven-plugin.version>
+ <scala-maven-plugin.version>3.1.6</scala-maven-plugin.version>
<spring.version>3.2.4.RELEASE</spring.version>
<spring.data.version>1.4.1.RELEASE</spring.data.version>
<hibernate.version>4.2.5.Final</hibernate.version>
- <hsqldb.version>2.3.0</hsqldb.version>
+ <hsqldb.version>2.3.2</hsqldb.version>
<guice.version>3.0</guice.version>
<clojure.version>1.5.1</clojure.version>
<rhino.version>1.7R4</rhino.version>
<ioke.version>P-0.4.0-p11</ioke.version>
- <jsoup.version>1.7.2</jsoup.version>
- <testng.version>6.8.7</testng.version>
+ <jsoup.version>1.7.3</jsoup.version>
+ <testng.version>6.8.8</testng.version>
<junit.version>4.11</junit.version>
<jython.version>2.7-b1</jython.version>
<mockito.version>1.9.5</mockito.version>
- <selenium.version>2.38.0</selenium.version>
+ <selenium.version>2.40.0</selenium.version>
<webbit.version>0.4.15</webbit.version>
<webbit-rest.version>0.3.0</webbit-rest.version>
- <jruby.version>1.7.4</jruby.version>
- <weld-se.version>2.0.4.Final</weld-se.version>
+ <jruby.version>1.7.11</jruby.version>
+ <weld-se.version>2.1.2.Final</weld-se.version>
<cdi-api.version>1.1</cdi-api.version>
- <openejb-core.version>4.5.2</openejb-core.version>
+ <openejb-core.version>4.6.0</openejb-core.version>
<needle.version>2.2</needle.version>
<!-- Bumping to 7.0 or newer causes NPE in needle -->
<javaee-api.version>6.0</javaee-api.version>
@@ -55,13 +55,12 @@
<log4j.version>1.2.17</log4j.version>
<slf4j.version>1.7.5</slf4j.version>
<freemarker.version>2.3.20</freemarker.version>
- <!-- Bumping to 3.1.0 or above requires JDK 7 or else we'll get Unsupported major.minor version 51.0 -->
- <javax.servlet-api.version>3.0.1</javax.servlet-api.version>
- <android-maven-plugin.version>3.8.0</android-maven-plugin.version>
+ <javax.servlet-api.version>3.1.0</javax.servlet-api.version>
+ <android-maven-plugin.version>3.9.0-rc.1</android-maven-plugin.version>
<!-- Target android sdk api level 14 = 4.1.1.4 -->
<android.version>4.1.1.4</android.version>
- <wicket.version>6.10.0</wicket.version>
- <!-- We need a version that works with Java 6 awnd Java 7: http://www.eclipse.org/jetty/documentation/current/what-jetty-version.html -->
+ <wicket.version>6.14.0</wicket.version>
+ <!-- We need a version that works with Java 6 and Java 7: http://www.eclipse.org/jetty/documentation/current/what-jetty-version.html -->
<jetty.version>8.1.12.v20130726</jetty.version>
</properties>
<licenses>
@@ -429,10 +428,6 @@
<id>codehaus</id>
<url>http://repository.codehaus.org</url>
</repository>
- <repository>
- <id>jboss.org</id>
- <url>https://repository.jboss.org/nexus/content/groups/public-jboss</url>
- </repository>
</repositories>
<!--

0 comments on commit 5ff5e61

Please sign in to comment.